## class Sequence

> Class that helps to generate unique numbers (unsigned longs).

### Public Methods

  | Sequence (unsigned long starts_with = 0)
  void | Set (unsigned long num)
  unsigned long | Get ()
  unsigned long | GetNext ()
  void | Reset ()

## Documentation

> Class that helps to generate unique numbers (unsigned longs).

`Sequence(unsigned long starts_with = 0)`

`void Set(unsigned long num)`

`unsigned long Get()`

`unsigned long GetNext()`

`void Reset()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de